<?php
/**
 * Created by PhpStorm.
 * User: aisrael
 * Date: 2019-04-18
 * Time: 19:23
 */

namespace Drupal\xtcdrupal\Plugin\XtcFieldType;


use Drupal\xtcelasticsearch\XtendedContent\API\IndexEntity;

/**
 * Plugin implementation of the xtc_fieldtype.
 *
 * @XtcFieldType(
 *   id = "drupal_entity_reference_revisions",
 *   label = @Translation("Entity Reference Revisions for XTC Drupal"),
 *   description = @Translation("Entity Reference Revisions for XTC Drupal.")
 * )
 */
class DrupalEntityReferenceRevisions extends DrupalEntityReference {

  /**
   * @param $value
   *
   * @return array|mixed|null
   */
  protected function getValue($value) {
    return IndexEntity::indexFields($value->getFields(), $this->options['mapping']);
  }

}
